Subject: Re: bug#38223: grep >=2.28 cannot handle -wF correctly under LANG=ja_JP.eucjp

From: Jim Meyering <[email-masked]>
Date: Sat, 16 Nov 2019 11:00:38 -0800

On Sat, Nov 16, 2019 at 9:34 AM Jim Meyering <[email-masked]> wrote:
> On Fri, Nov 15, 2019 at 11:54 AM NIDE, Naoyuki <[email-masked]> wrote:
> > echo ba | LANG=ja_JP.eucjp grep -F -w a
> > outputs ba, but should output nothing.
>
> Thank you for that report. It is reproducible for me on Fedora 30.
> Here is a fix, but the commit is incomplete: I am still in the process
> of preparing a test case and the NEWS entry.
> Will also fix the erroneous comment just below in a separate patch.

I've pushed the complete fix here:
https://git.savannah.gnu.org/cgit/grep.git/commit/?id=090a4dbe03951e427f03f83be424caacc3303799

I've also fixed the comment and a variable name and updated gnulib to latest.